package	jp.co.sds_corp.util.daemon.file;

import java.io.File;

import jp.co.sds_corp.util.log.CmnLogFactory;
import jp.co.sds_corp.util.log.CmnLogger;

/**
* ファイル名をログ出力します。
*/
public class FileLogger extends AbstractFileProcessor
{
	CmnLogger logger = CmnLogFactory.getInstance().getLogger(this);

	/**
	* ファイルの受信処理を開始します。
	*/
	public void start( File file ) throws Exception {
		setStatus( Status.RUN );
		logger.info( "[" + file + "]" );
		setStatus( Status.WAIT );
	}

}
